Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RepositorySelector Class Referenceabstract

The `LogManager` uses one (and only one) `RepositorySelector` implementation to select the LoggerRepository for a particular application context. More...

Inherits Object.

Inherited by DefaultRepositorySelector`[virtual]`.

## Public Member Functions
virtual | ~RepositorySelector ()
virtual LoggerRepositoryPtr & | getLoggerRepository ()=0
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

The `LogManager` uses one (and only one) `RepositorySelector` implementation to select the LoggerRepository for a particular application context.

It is the responsability of the `RepositorySelector` implementation to track the application context. log4cxx makes no assumptions about the application context or on its management.

See also LogManager.

## Constructor & Destructor Documentation

virtual ~RepositorySelector | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual LoggerRepositoryPtr& getLoggerRepository | ( |  | ) |
| pure virtual

Implemented in DefaultRepositorySelector.

The documentation for this class was generated from the following file:

- repositoryselector.h